From dbe0007412dad96fed554ecacba2749b30a6b320 Mon Sep 17 00:00:00 2001
From: Hari Babu <kommi.haribabu@gmail.com>
Date: Sat, 16 Mar 2019 17:37:32 +1100
Subject: [PATCH] table access methods typos correction

---
 src/backend/access/heap/heapam_handler.c | 2 +-
 src/include/access/tableam.h             | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/heap/heapam_handler.c b/src/backend/access/heap/heapam_handler.c
index 6a26fcef94..042502e54d 100644
--- a/src/backend/access/heap/heapam_handler.c
+++ b/src/backend/access/heap/heapam_handler.c
@@ -12,7 +12,7 @@
  *
  *
  * NOTES
- *	  This files wires up the lower level heapam.c et routines with the
+ *	  This files wires up the lower level heapam.c etc routines with the
  *	  tableam abstraction.
  *
  *-------------------------------------------------------------------------
diff --git a/src/include/access/tableam.h b/src/include/access/tableam.h
index 50b8ab9353..6d93e7ad45 100644
--- a/src/include/access/tableam.h
+++ b/src/include/access/tableam.h
@@ -74,7 +74,7 @@ typedef struct TableAmRoutine
 	 * synchronized scans, or page mode may be used (although not every AM
 	 * will support those).
 	 *
-	 * is_{bitmapscan, samplescan} specify whether the scan is inteded to
+	 * is_{bitmapscan, samplescan} specify whether the scan is intended to
 	 * support those types of scans.
 	 *
 	 * if temp_snap is true, the snapshot will need to be deallocated at
@@ -130,7 +130,7 @@ typedef struct TableAmRoutine
 	Size		(*parallelscan_initialize) (Relation rel, ParallelTableScanDesc pscan);
 
 	/*
-	 * Reinitilize `pscan` for a new scan. `rel` will be the same relation as
+	 * Reinitialize `pscan` for a new scan. `rel` will be the same relation as
 	 * when `pscan` was initialized by parallelscan_initialize.
 	 */
 	void		(*parallelscan_reinitialize) (Relation rel, ParallelTableScanDesc pscan);
-- 
2.20.1.windows.1

